Bug 1291008 - Review Request: tipl - Template image processing library
Review Request: tipl - Template image processing library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2015-12-12 12:49 EST by Igor Gnatenko
Modified: 2016-08-27 06:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-25 09:55:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2015-12-12 12:49:10 EST
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/tipl.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/tipl-0.1-0.1.git5ffc80c.fc24.src.rpm
Description: Template image processing library.
Fedora Account System Username: ignatenkobrain
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-19 19:24:13 EST
The usual: please extend %description.

s/Headers-only/Header-only/

Can you submit the patches upstream?

Looks good.
Comment 2 Ranjan Maitra 2015-12-20 13:09:09 EST
The package description both here, and upstream seems minimal. I have no idea when to use it, and where to use it or how to use the package.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "BSD (2 clause)", "Unknown or generated". 60
     files have unknown license. Detailed output of licensecheck in
     /home/maitra/Downloads/mock/1291008-tipl/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[!]: Requires correct, justified where necessary.
     Does package really require libsm-devel or is libsm enough?  
[x]: Spec file is legible and written in American English.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]:Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tipl-devel-0.1-0.1.git5ffc80c.fc24.noarch.rpm
          tipl-0.1-0.1.git5ffc80c.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
tipl-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libsvm-devel



Provides
--------
tipl-devel:
    pkgconfig(tipl)
    tipl-devel



Source checksums
----------------
https://github.com/frankyeh/TIPL/archive/5ffc80cae37001e25c32e5062777f1f8b970d5f4/tipl-5ffc80c.tar.gz :
  CHECKSUM(SHA256) this package     : a3e5501fb0b1db61cb3e519cf6f60e627ec3c8fe283eca8132451315c418f987
  CHECKSUM(SHA256) upstream package : a3e5501fb0b1db61cb3e519cf6f60e627ec3c8fe283eca8132451315c418f987


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -b 1291008
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Igor Gnatenko 2016-08-08 02:05:41 EDT
I will update description during import, any other issues?
Comment 4 Zbigniew Jędrzejewski-Szmek 2016-08-08 09:38:16 EDT
A while has passed…, would you mind putting up the updated spec file?
Comment 5 Igor Gnatenko 2016-08-13 05:38:26 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> A while has passed…, would you mind putting up the updated spec file?
sure!

New SPEC: https://ignatenkobrain.fedorapeople.org/for-review/tipl.spec
New SRPM: https://ignatenkobrain.fedorapeople.org/for-review/tipl-0-0.2.git6a59380.fc26.src.rpm

Unfortunately I can't write anything useful to description, because I don't know what this library is standing for (I've packaged it to unbundle some dependency of some another project).
Comment 6 Zbigniew Jędrzejewski-Szmek 2016-08-13 14:18:48 EDT
What Ranjan wrote above is still valid. I'll looked the package over and don't see any new issues. Package is APPROVED.
Comment 7 Gwyn Ciesla 2016-08-15 10:54:20 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/tipl
Comment 8 Fedora Update System 2016-08-16 14:02:09 EDT
tipl-0-0.2.git6a59380.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a9d641c47
Comment 9 Fedora Update System 2016-08-16 14:02:17 EDT
tipl-0-0.2.git6a59380.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-af97a2d9b9
Comment 10 Ranjan Maitra 2016-08-17 04:20:50 EDT
Being an image analyst and processor myself, I am glad to see more image processing libraries included in Fedora. However, I have to say that I have no idea how to use TIPL or what to do with it, once this is installed. I can only guess, looking at some of the software upstream, that it does segmentation, morphological operations and some statistics. It also fixes some NIfTI header files. However, I don't know what exactly any of these actually do for any of this to be useful and also how to include these header files. The upstream developer should have been requested to provide at least minimal documentation. Therefore, while I am happy to see this package, guessing at what it does, it is not clear to me that it would be of much use to anyone else (beyond the packager who seems to know what it does) even if they wanted to use it.
Comment 11 Zbigniew Jędrzejewski-Szmek 2016-08-17 12:03:50 EDT
Igor, you mentioned that you're doing this to unbundle from another app. Is it in Fedora?
Comment 12 Igor Gnatenko 2016-08-17 12:07:04 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #11)
> Igor, you mentioned that you're doing this to unbundle from another app. Is
> it in Fedora?
Well, it was long time ago and looks like I lost track of it. But there was some app/lib which was bundling TIPL and I unbundled it before packaging that lib/app. I will try to find it at some point.
Comment 13 Fedora Update System 2016-08-17 15:54:21 EDT
tipl-0-0.2.git6a59380.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a9d641c47
Comment 14 Fedora Update System 2016-08-17 21:52:34 EDT
tipl-0-0.2.git6a59380.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af97a2d9b9
Comment 15 Fedora Update System 2016-08-25 09:55:15 EDT
tipl-0-0.2.git6a59380.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-08-27 06:27:40 EDT
tipl-0-0.2.git6a59380.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.